xine-lib: vos_grab_video_frame_s Struct Reference

xine-lib 1.2.12

Data Fields
vos_grab_video_frame_s Struct Reference

## Data Fields
xine_grab_video_frame_t | grab_frame
vos_grab_video_frame_t * | next
int | finished
xine_video_port_t * | video_port
vo_frame_t * | vo_frame
yuv2rgb_factory_t * | yuv2rgb_factory
yuv2rgb_t * | yuv2rgb
int | vo_width
int | vo_height
int | grab_width
int | grab_height
int | y_stride
int | uv_stride
int | img_size
uint8_t * | img

## Field Documentation

## ◆ finished

int vos_grab_video_frame_s::finished

Referenced by vo_grab_current_frame(), and vo_grab_grab_video_frame().

## ◆ grab_frame

xine_grab_video_frame_t vos_grab_video_frame_s::grab_frame

Referenced by vo_dispose_grab_video_frame(), vo_grab_current_frame(), vo_grab_grab_video_frame(), and vo_new_grab_video_frame().

## ◆ grab_height

int vos_grab_video_frame_s::grab_height

Referenced by vo_grab_grab_video_frame().

## ◆ grab_width

int vos_grab_video_frame_s::grab_width

Referenced by vo_grab_grab_video_frame().

## ◆ img

uint8_t* vos_grab_video_frame_s::img

Referenced by vo_dispose_grab_video_frame(), and vo_grab_grab_video_frame().

## ◆ img_size

int vos_grab_video_frame_s::img_size

Referenced by vo_grab_grab_video_frame().

## ◆ next

vos_grab_video_frame_t* vos_grab_video_frame_s::next

Referenced by vo_grab_current_frame(), and vo_grab_grab_video_frame().

## ◆ uv_stride

int vos_grab_video_frame_s::uv_stride

Referenced by vo_grab_grab_video_frame().

## ◆ video_port

xine_video_port_t* vos_grab_video_frame_s::video_port

Referenced by vo_grab_grab_video_frame(), and vo_new_grab_video_frame().

## ◆ vo_frame

vo_frame_t* vos_grab_video_frame_s::vo_frame

Referenced by vo_dispose_grab_video_frame(), vo_grab_current_frame(), and vo_grab_grab_video_frame().

## ◆ vo_height

int vos_grab_video_frame_s::vo_height

Referenced by vo_grab_grab_video_frame().

## ◆ vo_width

int vos_grab_video_frame_s::vo_width

Referenced by vo_grab_grab_video_frame().

## ◆ y_stride

int vos_grab_video_frame_s::y_stride

Referenced by vo_grab_grab_video_frame().

## ◆ yuv2rgb

yuv2rgb_t* vos_grab_video_frame_s::yuv2rgb

Referenced by vo_dispose_grab_video_frame(), and vo_grab_grab_video_frame().

## ◆ yuv2rgb_factory

yuv2rgb_factory_t* vos_grab_video_frame_s::yuv2rgb_factory

Referenced by vo_dispose_grab_video_frame(), and vo_grab_grab_video_frame().

The documentation for this struct was generated from the following file:

- xine-lib-1.2.12/src/xine-engine/video_out.c